- Qt 6.8
- Qt Help
- C++ Classes
- QHelpIndexWidget
- Qt 6.8.0 Reference Documentation

# Obsolete Members for QHelpIndexWidget

The following members of class QHelpIndexWidget are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Signals

`(deprecated)` void | linkActivated(const QUrl &link, const QString &keyword)

## Member Function Documentation

### `[signal, deprecated]` void QHelpIndexWidget::linkActivated(const QUrl &link, const QString &keyword)

This function is deprecated. We strongly advise against using it in new code.

Use documentActivated() instead.

This signal is emitted when an item is activated and its associated link should be shown. To know where the link belongs to, the keyword is given as a second parameter.